try {
    function u(t, e, n) {
        return e in t ? Object.defineProperty(t, e, {
            value: n,
            enumerable: true,
            configurable: true,
            writable: true
        }) : t[e] = n, t;
    }

    function $o(t, e, n, r) {
        try {
            var a;
            if (t && e && s(n) === "function" && s(e) === "string") if (s(t.addEventListener) === "function") false ? (a = false, s(r) === "boolean" ? a = r : r && s(r.useCapture) === "boolean" ? a = r.useCapture : r && s(r.capture) === "boolean" && (a = r.capture)) : s(r) === "object" && null !== r ? (a = {}, r.hasOwnProperty("capture") && (a.capture = r.capture || false), r.hasOwnProperty("once") && (a.once = r.once), r.hasOwnProperty("passive") && (a.passive = r.passive), r.hasOwnProperty("mozSystemGroup") && (a.mozSystemGroup = r.mozSystemGroup)) : a = {
                passive: true,
                capture: s(r) === "boolean" && r || false
            }, t.addEventListener(e, n, a); else s(t.attachEvent) === "function" && t.attachEvent("on" + e, n);
        } catch (t) {
        }
    }

// 12419 鼠标事件部分
    var pu;
    var gu;
    var yu;
    var Du;
    var bu = location && location.href || "";
    var Vu = ",";
    var Ju = "mousemove";
    var Au = "touchmove";
    var Eu = true;
    var wu = [];
    var Tu = {};
    var Wu = 1;
    var Iu = 0;
    var Su = 0;
    var Cu = 0;
    var Mu = false;
    var Ru = mt();
    var xu = true;
    var _u = {
        mousemove: null,
        mousewheel: null,
        touchmove: null,
        previousTouchmove: {
            screenX: null,
            screenY: null
        }
    };
    var Qu = {
        mousemove: 200,
        touchmove: 200,
        mousewheel: 50
    };

    var Bu = ["mouseup", "mousedown", "click", "contextmenu", "mouseout", "touchend", "touchstart"];
    var Ou = ["keyup", "keydown"];
    var ku = ["copy", "cut", "paste"];
    var xo = ("script", function () {
        var t = "mousewheel";
        try {
            window && navigator && /Firefox/i.test(navigator.userAgent) && (t = "DOMMouseScroll");
        } catch (t) {
        }
        return "DOMMouseScroll";
    }());
    var Yu = ["mousemove", "touchmove", xo];
    var Fu = [];
    var Uu = [];
    var Nu = [];
    var Lu = [];
    var Gu = [];
    !function () {
        var t;

        function e() {
            pu && window.clearTimeout(pu), pu = setTimeout(function () {
                rs("60_sec_rest");
            }, 6e4);
        }

        function n() {
            t && window.clearTimeout(t), t = window.setTimeout(function () {
                e();
            }, 500);
        }

        document.ontouchmove = document.onmousemove = n;
    }(), is(true);

    function is(t) {
        for (e = t ? $o : ti, n = 0, void 0; n < Bu.length; n++) {
            var e;
            var n;
            e(document.body, Bu[n], ju);
        }
        for (var r = 0; r < Ou.length; r++) e(document.body, Ou[r], Xu);
        for (var a = 0; a < ku.length; a++) e(document, ku[a], ss);
        for (var o = 0; o < Yu.length; o++) Yu[o] !== "mousemove" && Yu[o] !== "touchmove" || e(document.body, Yu[o], ts), Yu[o] === xo && e(document, Yu[o], Ku);
        e(document, "scroll", Hu), e(document.body, "focus", Xu, {
            capture: true,
            passive: true
        }), e(document.body, "blur", Xu, {
            capture: true,
            passive: true
        });
    }

    function Xu(t) {
        if (t) try {
            Pu();
            var n = cs(t, true);
            (function (t) {
                switch (t) {
                    case 8:
                    case 9:
                    case 13:
                    case 16:
                    case 17:
                    case 18:
                    case 27:
                    case 32:
                    case 37:
                    case 38:
                    case 39:
                    case 40:
                    case 91:
                        return true;
                    default:
                        return false;
                }
            })(t.keyCode) && (n["PX11374"] = t.keyCode), "keydown" === t.type && (n["PX11730"] = true === t.altKey || void 0, n["PX11612"] = true === t.ctrlKey || void 0, n["PX12061"] = s(t.keyCode) === "number", n["PX11720"] = true === t.shiftKey || void 0, n["PX11915"] = s(t.code) === "string" ? t.code.length : -1, n["PX11773"] = s(t.key) === "string" ? t.key.length : -1), $u(n);
        } catch (t) {
        }
    }

    function ss(t) {
        if (Cu < 10) try {
            var n = cs(t, true);
            n["PX11699"] = Xo(), n["PX11892"] = function (t) {
                var n = [];
                try {
                    if (!t.clipboardData || !t.clipboardData.items) return null;
                    for (var r = 0; r < t.clipboardData.items.length; r++) {
                        var a;
                        var o = t.clipboardData.items[r];
                        n.push((u(a = {}, "PX11819", o.kind), u(a, "PX11595", o.type), a));
                    }
                } catch (t) {
                }
                return n;
            }(t), $u(n), Cu++;
        } catch (t) {
        }
    }

    function mt() {
        return +new Date();
    }

    function Hu(t) {
        if (!Mu && t) {
            Mu = true, setTimeout(function () {
                Mu = false;
            }, 50);
            var n = cs(t, false);
            var r = Math.max(document.documentElement.scrollTop || 0, document.body.scrollTop || 0);
            var a = Math.max(document.documentElement.scrollLeft || 0, document.body.scrollLeft || 0);
            Gu.push(r + "," + a), n["PX12033"] = r, n["PX11669"] = a, $u(n), Gu.length >= 5 && ti(document, "scroll", Hu);
        }
    }

    function Ku(t) {
        try {
            var n = mt();
            if (xu) {
                var r = _u[xo];
                gu = xo, Ru = n;
                var a = t.deltaY || t.wheelDelta || t.detail;
                if (a = +a.toFixed(2), null === r) {
                    Iu++;
                    var o = cs(t, false);
                    o["PX12301"] = [a], o["PX12078"] = Xo(n), _u[xo] = o;
                } else 50 <= _u[xo]["PX12301"].length ? (es(), xu = false) : _u[xo]["PX12301"].push(a);
            }
        } catch (t) {
        }
    }

    function Pu() {
        gu !== "mousemove" && gu !== "touchmove" || function () {
            if (_u[gu]) {
                var e = _u[gu].coordination_start.length;
                var n = _u[gu].coordination_start[e - 1]["PX11699"];
                var r = ns(os(kt(_u[gu].coordination_start)));
                var a = os(kt(_u[gu].coordination_end));
                a.length > 0 && (a[0]["PX11699"] -= n);
                var o = ns(a);
                _u[gu]["PX12301"] = "" !== o ? r + "|" + o : r, delete _u[gu].coordination_start, delete _u[gu].coordination_end, $u(_u[gu], gu), _u[gu] = null;
            }
            gu === "touchmove" && (_u.previousTouchmove.screenX = null, _u.previousTouchmove.screenY = null);
        }(), gu === xo && es();
    }

    function fs(t) {
        try {
            if (t.touches && t.touches[0]) return t.touches[0];
            if (t.changedTouches && t.changedTouches[0]) return t.changedTouches[0];
        } catch (t) {
        }
    }

    function Qo(t) {
        try {
            var e = Element.prototype.getBoundingClientRect.call(t);
            return {
                left: e.left,
                top: e.top
            };
        } catch (t) {
            return {
                left: -1,
                top: -1
            };
        }
    }

    function Lo(t) {
        if (t) return t.target || t.toElement || t.srcElement;
    }

    var Mo = "isTrusted";
    var Ro = mt();

    function ct(t) {
        return s(t) === "object" && null !== t;
    }

    function ko(t) {
        var e = "undefined";
        return t && t.hasOwnProperty(Mo) && (e = t[Mo] && "false" !== t[Mo] ? "true" : "false"), e;
    }

    function No(t) {
        if (s(t) === "string") return t.replace(/:nth-child\((\d+)\)/g, function (t, e) {
            return e;
        });
    }

    function Oo(t) {
        if (t) {
            var e = t.parentNode || t.parentElement;
            return e && 11 !== e.nodeType ? e : null;
        }
    }

    function Ho(t, e) {
        if (!(t && (t instanceof Element || ct(t) && 1 === t.nodeType))) return "";
        var n;
        var r = t[Ro];
        if (r) return e ? No(r) : r;
        try {
            n = function (t) {
                if (t.id) return "#" + t.id;
                for (n = "", r = 0, void 0; r < 20; r++) {
                    var e;
                    var n;
                    var r;
                    if (!(t && t instanceof Element)) return n;
                    if ("html" === t.tagName.toLowerCase()) return n;
                    if (t.id) return "#" + t.id + n;
                    if (!((e = Oo(t)) instanceof Element)) return t.tagName + n;
                    if (Uo(n = Fo(t, e) + n)) return n;
                    t = e, n = ">" + n;
                }
            }(t), n = n.replace(/^>/, ""), n = e ? No(n) : n, t[Ro] = n;
        } catch (t) {
        }
        return n || t.id || t.tagName || "";
    }

    function Fo(t, e) {
        if (1 === e.getElementsByTagName(t.tagName).length) return t.tagName;
        for (var n = 0; n < e.children.length; n++) if (e.children[n] === t) return t.tagName + ":nth-child(" + (n + 1) + ")";
    }

    function Uo(t) {
        try {
            return 1 === document.querySelectorAll(t).length;
        } catch (t) {
            return false;
        }
    }

    function as(t) {
        var e = Ho(t, true);
        return e ? function (t) {
            Tu[t] || (Tu[t] = Wu++);
            return Wu;
        }(e) : 0;
    }

    function cs(t, e) {
        var n;
        if (!t) return null;
        var a;
        var o = (u(n = {}, "PX12343", "DOMMouseScroll" === (a = t.type) ? xo : a), u(n, "PX12270", ko(t)), n);
        if (e) {
            var c = Lo(t);
            if (c) {
                var s = Qo(c);
                o["PX11427"] = s.top, o["PX12208"] = s.left, o["PX11652"] = as(c), o["PX11824"] = c.offsetWidth, o["PX11631"] = c.offsetHeight, o["PX12165"] = function (t) {
                    return "submit" === t.type ? t.type : t.nodeName ? t.nodeName.toLowerCase() : "";
                }(c);
            } else o["PX11652"] = 0;
        }
        return o;
    }

    function us(t) {
        var e = fs(t) || t;
        var n = {};
        try {
            n.pageX = +(e.pageX || document.documentElement && e.clientX + document.documentElement.scrollLeft || 0).toFixed(2), n.pageY = +(e.pageY || document.documentElement && e.clientY + document.documentElement.scrollTop || 0).toFixed(2);
        } catch (t) {
        }
        return n;
    }

    function ju(t) {
        try {
            Pu();
            var n = cs(t, true);
            var r = us(t);
            n["PX12108"] = r.pageX, n["PX12414"] = r.pageY, "click" === t.type && (n["PX12025"] = "" + t.buttons, n["PX12461"] = Go(t.target)), $u(n);
        } catch (t) {
        }
    }

    function s(t) {
        return s = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (t) {
            return typeof t;
        } : function (t) {
            return t && "function" == typeof Symbol && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t;
        }, s(t);
    }

    function H(t) {
        var e;
        switch (s(t)) {
            case "undefined":
                return "null";
            case "boolean":
                return String(t);
            case "number":
                var n = String(t);
                return "NaN" === n || "Infinity" === n ? "null" : n;
            case "string":
                return U(t);
        }
        if (null === t || t instanceof RegExp) return "null";
        if (t instanceof Date) return ['"', t.getFullYear(), "-", t.getMonth() + 1, "-", t.getDate(), "T", t.getHours(), ":", t.getMinutes(), ":", t.getSeconds(), ".", t.getMilliseconds(), '"'].join("");
        if (t instanceof Array) {
            var r;
            for (e = ["["], r = 0; r < t.length; r++) e.push(H(t[r]) || '"undefined"', ",");
            return e[e.length > 1 ? e.length - 1 : e.length] = "]", e.join("");
        }
        for (var a in e = ["{"], t) t.hasOwnProperty(a) && void 0 !== t[a] && e.push(U(a), ":", H(t[a]) || '"undefined"', ",");
        return e[e.length > 1 ? e.length - 1 : e.length] = "}", e.join("");
    }

    function Xr() {
        return 'uuid'
    }

    var Co = Date.now()

    function U(t) {
        return O.lastIndex = 0, '"' + (O.test(t) ? t.replace(O, G) : t) + '"';
    }

    var O = /[\\\"\u0000-\u001f\u007f-\u009f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;

    function Po() {
        return Co;
    }

    function Xo(t) {
        return (t || mt()) - (Po() || 0);
    }

    function $u(t, e) {
        if (Eu) {
            var r = mt();
            -1 === Yu.indexOf(e) && (t["PX11699"] = Xo(r));
            var a = H(t);
            (Su += 1.4 * a.length) >= 15e3 ? (yu && wu.push(yu), rs("PX11859")) : (wu.push(t), wu.length >= 50 && (yu && wu.push(yu), rs("PX12002")));
        }
    }

    function ti(t, e, n) {
        try {
            t && e && s(n) === "function" && s(e) === "string" && (s(t.removeEventListener) === "function" ? t.removeEventListener(e, n) : s(t.detachEvent) === "function" && t.detachEvent("on" + e, n));
        } catch (t) {
        }
    }

    function Zu(t) {
        var e = fs(t) || t;
        var n = e.clientX.toFixed(0);
        var r = e.clientY.toFixed(0);
        var a = function (t) {
            return +(t.timestamp || t.timeStamp || 0).toFixed(0);
        }(t);
        return "".concat(n, ",").concat(r, ",").concat(a);
    }

    function Go(t) {
        try {
            return !!(t.offsetWidth || t.offsetHeight || t.getClientRects && t.getClientRects().length);
        } catch (t) {
        }
    }

    function ns(t) {
        for (n = "", r = 0, void 0; r < t.length; r++) {
            var e;
            var n;
            var r;
            0 !== r && (n += "|"), n += t[r]["PX12108"] + "," + t[r]["PX12414"] + "," + t[r]["PX11699"];
        }
        return n;
    }

    function kt(t) {
        for (e = [], n = 0, void 0; n < t.length; n += 2) {
            var e;
            var n;
            e.push(t[n]);
        }
        return e;
    }

    function os(t) {
        var n = [];
        if (t.length > 0) {
            n.push(t[0]);
            for (var r = 1; r < t.length; r++) {
                var a;
                var o = (u(a = {}, "PX12108", t[r]["PX12108"]), u(a, "PX12414", t[r]["PX12414"]), u(a, "PX11699", t[r]["PX11699"] - t[r - 1]["PX11699"]), a);
                n.push(o);
            }
        }
        return n;
    }

    function ts(t) {
        try {
            var n = mt();
            var r = n - Ru;
            if (gu = t.type, function (t, e) {
                if (t.type === "mousemove" && s(t.movementX) === "number" && s(t.movementY) === "number") Fu.length < 10 && Fu.push(+t.movementX.toFixed(2) + "," + +t.movementY.toFixed(2) + "," + Xo(e)), Nu.length < 50 && Nu.push(Zu(t)); else if (t.type === "touchmove") {
                    var n = fs(t);
                    if (n && s(n.screenX) === "number" && s(n.screenY) === "number") {
                        if (Uu.length < 10) {
                            var r = s(_u.previousTouchmove.screenX) === "number" ? n.screenX - _u.previousTouchmove.screenX : 0;
                            var a = s(_u.previousTouchmove.screenY) === "number" ? n.screenY - _u.previousTouchmove.screenY : 0;
                            _u.previousTouchmove.screenX = n.screenX, _u.previousTouchmove.screenY = n.screenY, Uu.push(+r.toFixed(2) + "," + +a.toFixed(2) + "," + Xo(e));
                        }
                        Lu.length < 50 && Lu.push(Zu(t));
                    }
                }
            }(t, n), r > 50) {
                var a;
                Ru = n;
                var o = us(t);
                var c = (u(a = {}, "PX12108", o.pageX), u(a, "PX12414", o.pageY), u(a, "PX11699", Xo(n)), a);
                if (null === _u[gu]) {
                    var f = cs(t, false);
                    f.coordination_start = [c], f.coordination_end = [], _u[gu] = f;
                } else {
                    var l = _u[gu].coordination_start;
                    l.length >= Qu[gu] / 2 && (l = _u[gu].coordination_end).length >= Qu[gu] / 2 && l.shift(), l.push(c);
                }
            }
        } catch (t) {
        }
    }

    function rs(t) {
        if (Eu) {
            var n;
            if (Eu = false, wu.length > 0 || Fu.length > 0 || Uu.length > 0) {
                (u(n = {}, "PX12040", wu), u(n, "PX12170", t), u(n, "PX12160", Tu), u(n, "PX11844", Iu), u(n, "PX12465", true),
                    u(n, "PX11393", Fu.join("|")), u(n, "PX12621", Uu.join("|")), u(n, "PX12470", Po()), u(n, "PX11747", Gu.length > 0 ? Gu : void 0), u(n, "PX11698", Nu.length > 0 ? kt(Nu) : void 0), u(n, "PX11433", Lu.length > 0 ? kt(Lu) : void 0), u(n, "PX11679", document.body && document.body.offsetWidth + "x" + document.body.offsetHeight || ""), n);
            }
            var d2;
            try {
                function bl(t, e) {
                    var n = document.createElement("canvas");
                    return n.width = t || 2e3, n.height = e || 200, n.style.display = "inline", n;
                }
                var r = bl(650, 12);
                if (r) {
                    var a = Al(r);
                    if (d2 = "PX11982", a) {
                        a.font = "8px sans-serif";
                        for (o = 1, i = 128512, void 0; i < 128591; i++) {
                            var o;
                            var i;
                            a.fillText(yo("0x" + i.toString(16)), 8 * o, 8), o++;
                        }
                        d2 = St(a.canvas.toDataURL());
                    }
                } else d2 = "PX12423";
            } catch (e) {
                d2 = "PX11474";
            }
            let res = {};
            res['PX12419'] = n;
            res['canvas'] = d2;
            res['ua'] = navigator.userAgent
            fetch('https://stage.unififi.com/env/px/pxmouse', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify(res)
            }).then(e => {
            }).catch(e => {
            })
            is(false);
        }
    }
    setTimeout(function () {
        rs("60_sec_rest");
    }, 10000);
} catch (e) {
}